Bug 832537 - SELinux is preventing /usr/sbin/smbd from 'search' accesses on the directory nmbd.
SELinux is preventing /usr/sbin/smbd from 'search' accesses on the directory ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cb908bff84e7dbdb49113e90be1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 13:01 EDT by Jesus Perez
Modified: 2012-07-25 23:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus Perez 2012-06-15 13:01:25 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.8-1.fc16.i686.PAE
reason:         SELinux is preventing /usr/sbin/smbd from 'search' accesses on the directory nmbd.
time:           vie 15 jun 2012 12:08:27 CDT

description:
:SELinux is preventing /usr/sbin/smbd from 'search' accesses on the directory nmbd.
:
:*****  Plugin samba_share (98.5 confidence) suggests  ************************
:
:If you want to allow smbd to have search access on the nmbd directory
:Then necesita modificar la etiqueta a 'nmbd'
:Do
:# semanage fcontext -a -t samba_share_t 'nmbd'
:# restorecon  -v 'nmbd'
:
:*****  Plugin catchall (2.42 confidence) suggests  ***************************
:
:If cree que de manera predeterminada, smbd debería permitir acceso search sobre  nmbd directory.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep smbd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:smbd_t:s0
:Target Context                system_u:object_r:nmbd_var_run_t:s0
:Target Objects                nmbd [ dir ]
:Source                        smbd
:Source Path                   /usr/sbin/smbd
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           samba-3.6.5-85.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.8-1.fc16.i686.PAE #1 SMP Mon Jun 4 21:10:09
:                              UTC 2012 i686 i686
:Alert Count                   150
:First Seen                    mié 13 jun 2012 14:42:53 CDT
:Last Seen                     vie 15 jun 2012 11:14:48 CDT
:Local ID                      f679a2c3-5c21-4566-a73d-f1849b3730ab
:
:Raw Audit Messages
:type=AVC msg=audit(1339776888.969:73): avc:  denied  { search } for  pid=2249 comm="smbd" name="nmbd" dev="tmpfs" ino=22276 scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:object_r:nmbd_var_run_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1339776888.969:73): arch=i386 syscall=socketcall success=no exit=EACCES a0=3 a1=bf9bd520 a2=b7782ff4 a3=b794c320 items=0 ppid=1117 pid=2249 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=smbd exe=/usr/sbin/smbd subj=system_u:system_r:smbd_t:s0 key=(null)
:
:Hash: smbd,smbd_t,nmbd_var_run_t,dir,search
:
:audit2allow
:
:#============= smbd_t ==============
:#!!!! This avc can be allowed using one of the these booleans:
:#     samba_export_all_ro, samba_export_all_rw
:
:allow smbd_t nmbd_var_run_t:dir search;
:
:audit2allow -R
:
:#============= smbd_t ==============
:#!!!! This avc can be allowed using one of the these booleans:
:#     samba_export_all_ro, samba_export_all_rw
:
:allow smbd_t nmbd_var_run_t:dir search;
:
Comment 1 Miroslav Grepl 2012-06-22 04:27:30 EDT
Fixed in selinux-policy-3.10.0-90.fc16
Comment 2 Fedora Update System 2012-07-02 04:49:01 EDT
selinux-policy-3.10.0-90.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-90.fc16
Comment 3 Fedora Update System 2012-07-03 11:50:47 EDT
Package selinux-policy-3.10.0-90.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-90.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10203/selinux-policy-3.10.0-90.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-25 23:54:25 EDT
selinux-policy-3.10.0-90.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.